Subject: Re: bug#29726: 25.1; SIGSEGV in find-file

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Dec 2017 22:56:23 +0200

> From: Marc Munro <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 16 Dec 2017 12:44:32 -0800
> 
> On Sat, 2017-12-16 at 22:07 +0200, Eli Zaretskii wrote:
> > > From: Marc Munro <[email-masked]>
> > > Cc: [email-masked]
> > > Date: Sat, 16 Dec 2017 11:43:08 -0800
> > > 
> > > > doesn't pop up a completions frame, but instead shows this in the
> > > > mininbufer:
> > > > 
> > > >   DISPLAY BUFFER ACTOR *Backtrace* nil
> > > 
> 
> Oooh.  I just re-read this.  And although this a debug message, it's
> not the same as the one's that I get.  What appears to be failing for
> you, is the debugger being invoked.  I guess that's failing because of
> my code.
> 
> Replacing the "unless" at the start of k-frame::display-buffer-actor
> with the following may allow the backtrace to be shown:
> 
> (unless (string= (buffer-name buffer) "*Backtrace*")

When I do this, I see the completions in a pop-up window in the same
frame.  I do not see a new frame.  And whatever I do, I don't get a
crash if I type s<TAB>e<TAB> afterwards, I get it completed to
k-search.el.

> My guess is that whatever version you are using is resistant to the
> crash and instead reports on whatever stupid thing I have done.

I tried both 25.1, the one you use, and the current release branch,
with the same results.